<?
function dir_name($dir)
{
$dir2=explode("/", $dir);
$dirname=$dir2[(count($dir2)-1)];
if (is_file($dir."/dir.name"))
{
$dirname2=file($dir."/dir.name");
if ($dirname2[0]!='')
$dirname=trim($dirname2[0]);
}

return $dirname;
}
?>
